commit: 056a56563c34c27a75b0079b82d5fb8fd7ae04d0
Author: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Sat Sep 26 20:50:38 2020 +0000
Commit: Aisha Tammy <gentoo <AT> aisha <DOT> cc>
CommitDate: Sat Sep 26 20:50:54 2020 +0000
URL: https://gitweb.gentoo.org/proj/sci.git/commit/?id=056a5656
dev-libs/optix: Add optix v7.{1.0,0.0}
Blender utilizes optix as an alternative to CUDA to utilize the
raytracing cores in the RTX series of video cards. version 7.0 has been
tested with Blender 2.8.4.
Closes: https://github.com/gentoo/sci/pull/972
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Richard F. Ostrow Jr <rich <AT> warfaresdl.com>
Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
dev-libs/optix/metadata.xml | 3 +++
dev-libs/optix/optix-7.0.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
dev-libs/optix/optix-7.1.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
3 files changed, 77 insertions(+)
diff --git a/dev-libs/optix/metadata.xml b/dev-libs/optix/metadata.xml
index 7203fb853..43be4e4e4 100644
--- a/dev-libs/optix/metadata.xml
+++ b/dev-libs/optix/metadata.xml
@@ -4,4 +4,7 @@
<maintainer type="person">
<email>[email protected]</email>
</maintainer>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ </maintainer>
</pkgmetadata>
diff --git a/dev-libs/optix/optix-7.0.0.ebuild
b/dev-libs/optix/optix-7.0.0.ebuild
new file mode 100644
index 000000000..c419a9cee
--- /dev/null
+++ b/dev-libs/optix/optix-7.0.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="NVIDIA Ray Tracing Engine"
+HOMEPAGE="https://developer.nvidia.com/optix"
+SRC_URI="NVIDIA-OptiX-SDK-${PV}-linux64.sh"
+
+SLOT="0/7"
+KEYWORDS="~amd64"
+RESTRICT="fetch"
+LICENSE="NVIDIA-r2"
+
+RDEPEND="
+ dev-util/nvidia-cuda-toolkit
+ media-libs/freeglut
+ virtual/opengl
+"
+S="${WORKDIR}"
+
+pkg_nofetch() {
+ einfo "Please download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to your DISTDIR directory."
+ einfo 'DISTDIR value is available from `emerge --info`'
+}
+
+src_unpack() {
+ tail -n +223 "${DISTDIR}"/${A} | tar -zx || die
+}
+
+src_install() {
+ insinto /opt/${PN}
+ dodoc -r doc
+ doins -r include SDK
+}
diff --git a/dev-libs/optix/optix-7.1.0.ebuild
b/dev-libs/optix/optix-7.1.0.ebuild
new file mode 100644
index 000000000..afeda2b32
--- /dev/null
+++ b/dev-libs/optix/optix-7.1.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="NVIDIA Ray Tracing Engine"
+HOMEPAGE="https://developer.nvidia.com/optix"
+SRC_URI="NVIDIA-OptiX-SDK-${PV}-linux64-x86_64.sh"
+
+SLOT="0/7"
+KEYWORDS="~amd64"
+RESTRICT="fetch"
+LICENSE="NVIDIA-r2"
+
+RDEPEND="
+ dev-util/nvidia-cuda-toolkit
+ media-libs/freeglut
+ virtual/opengl
+"
+S="${WORKDIR}"
+
+pkg_nofetch() {
+ einfo "Please download ${SRC_URI} from:"
+ einfo " ${HOMEPAGE}"
+ einfo "and move it to your DISTDIR directory."
+ einfo 'DISTDIR value is available from `emerge --info`'
+}
+
+src_unpack() {
+ tail -n +223 "${DISTDIR}"/${A} | tar -zx || die
+}
+
+src_install() {
+ insinto /opt/${PN}
+ dodoc -r doc
+ doins -r include SDK
+}